For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
RegisterLoginSandbox Login
GuidesRecipesAPI Reference
GuidesRecipesAPI Reference
  • API Reference
      • POSTACH Checkout
      • POSTApple Pay Checkout
      • GETApple Pay Validate Merchant
      • POSTCapture Payment
      • POSTCard Checkout
      • POSTCard on File Authorized
      • POSTCard On File Checkout
      • POSTCash App Checkout
      • POSTCreate Pix Payment
      • POSTCrypto Payin
      • POSTGet Checkout Jwt Token
      • POSTGet Checkout Link
      • POSTGet Destination Auth Key
      • POSTGet Interchange Fees
      • GETGet supported chains and tokens
      • POSTGet Totals
      • POSTGet USDC Authorization Message (EVM only)
      • POSTGoogle Pay Checkout
      • POSTMerchant Initiated Transaction
      • POSTRain Checkout
      • PUTReview Payment Protection
      • POSTSaved Card Checkout
      • POSTSepa/Faster Payments Checkout (New Account)
      • POSTSepa/Faster Payments Checkout (Saved Account)
      • POSTUS Wire Domestic Payments Checkout (New Account)
      • POSTUS Wire Domestic Payments Checkout (Saved Account)
      • POSTVoid Payment
      • POSTZero Authorization
    • POSTGets USDC/SBC/EuroE on testnets
LogoLogo
RegisterLoginSandbox Login
API ReferenceCheckout

Get supported chains and tokens

GET
https://api-sandbox.coinflow.cash/api/checkout/crypto
GET
/api/checkout/crypto
$curl https://api-sandbox.coinflow.cash/api/checkout/crypto \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "chains": [
3 {
4 "name": "Ethereum",
5 "tokens": [
6 {
7 "name": "USD Coin",
8 "symbol": "USDC"
9 },
10 {
11 "name": "Tether",
12 "symbol": "USDT"
13 },
14 {
15 "name": "Wrapped Ether",
16 "symbol": "WETH"
17 }
18 ]
19 },
20 {
21 "name": "Binance Smart Chain",
22 "tokens": [
23 {
24 "name": "Binance Coin",
25 "symbol": "BNB"
26 },
27 {
28 "name": "PancakeSwap Token",
29 "symbol": "CAKE"
30 }
31 ]
32 },
33 {
34 "name": "Polygon",
35 "tokens": [
36 {
37 "name": "Matic Token",
38 "symbol": "MATIC"
39 },
40 {
41 "name": "QuickSwap",
42 "symbol": "QUICK"
43 }
44 ]
45 }
46 ]
47}

Get the supported chains and tokens for crypto payin w/ merchant settings

Was this page helpful?
Previous

Get Totals

Next
Built with

Authentication

Authorizationstring

The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

Response

Ok
chainslist of objects